TechDraw RadiusDimension/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(22 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav/ru
|[[TechDraw_Dimension_Vertical|Dimension Vertical]]
|[[TechDraw_VerticalDimension/ru|Указать вертикальный размер]]
|[[TechDraw_Dimension_Diameter|Dimension Diameter]]
|[[TechDraw_DiameterDimension/ru|Указать диаметр]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench/ru|Верстак "TechDraw"]]
|IconL=TechDraw_Dimension_Vertical.svg
|IconL=TechDraw_VerticalDimension.svg
|IconR=TechDraw_Dimension_Diameter.svg
|IconR=TechDraw_DiameterDimension.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
}}
}}


{{GuiCommand/ru
{{GuiCommand/ru
|Name/ru=Указать радиус
|Name=TechDraw Dimension Radius
|Name=TechDraw_RadiusDimension
|Name/ru=TechDraw Dimension Radius
|MenuLocation=TechDraw → Dimension Radius
|MenuLocation=TechDraw → Размеры → Указать радиус
|Workbenches=[[TechDraw_Module/ru|TechDraw]]
|Workbenches=[[TechDraw_Workbench/ru|TechDraw]]
|SeeAlso=[[TechDraw_Dimension_Diameter/ru|TechDraw Dimension Diameter]]
|SeeAlso=[[TechDraw_DiameterDimension/ru|Указать диаметр]]
}}
}}


==Description==
<span id="Description"></span>
==Описание==

The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the {{Button|[[Image:TechDraw_Dimension_Link.svg|16px]] [[TechDraw_Dimension_Link|Link Dimension]]}} tool.


The '''TechDraw RadiusDimension''' tool adds a radius dimension to a View. The dimension may be applied to any edge which is a circle or circular arc.


[[Image:TechDraw_Dimension_Radius_example.png|130px]]
[[Image:TechDraw_Dimension_Radius_example.png|130px]]
{{Caption|Measuring a circle, indicating the radius}}
{{Caption|Measuring a circle, indicating the radius}}


==Usage==
<span id="Usage"></span>
==Применение==

# Select a circle or circular arc. The geometry may be selected in the [[3D_view|3D view]] or in the drawing. Note some arcs which appear to be circular are actually ellipses or B-splines. You cannot make a radius dimension in these cases.
# If you have selected geometry in the 3D view: add the correct TechDraw View to the selection by selecting it in the [[Tree_view|Tree view]].
# There are several ways to invoke the tool:
#* Press the {{Button|[[Image:TechDraw_RadiusDimension.svg|16px]] [[TechDraw_RadiusDimension|Insert Radius Dimension]]}} button.
#* Select the {{MenuCommand|TechDraw → Dimensions → [[Image:TechDraw_RadiusDimension.svg|16px]] Insert Radius Dimension}} option from the menu.
# A dimension is added to the View.
# The dimension may be dragged to the desired position.
# If needed, add tolerances as described on [[TechDraw_Geometric_dimensioning_and_tolerancing#Tolerances|this page]].

===Display 3D measurement===

See [[TechDraw_LengthDimension#Display_3D_measurement|TechDraw LengthDimension]].

===Change properties===

To change the properties of a dimension object either double-click it in the drawing or in the [[Tree_view|Tree view]]. This will open the [[TechDraw_LengthDimension#Dimension_dialog|Dimension dialog]].

<span id="Limitations"></span>
== Ограничения ==


Dimension objects are vulnerable to the "[[Topological_naming_problem|topological naming problem]]". See [[TechDraw_LengthDimension|TechDraw LengthDimension]].
# Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
# Press the {{Button|[[Image:TechDraw_Dimension_Radius.svg|16px]] [[TechDraw_Dimension_Radius|Dimension Radius]]}} button
# A dimension will be added to the View. The dimension may be dragged to the desired position.


== Limitations ==
==Notes==


See [[TechDraw_LengthDimension#Notes|TechDraw LengthDimension]].
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw_Dimension_Length|TechDraw Dimension Length]] tool for more information.


<span id="Properties"></span>
<div class="mw-translate-fuzzy">
==Свойства==
==Properties==
This object has the same properties as the [[TechDraw Dimension Length/ru|TechDraw Dimension Length]] tool. See that tool for details.
</div>


See [[TechDraw_LengthDimension#Properties|TechDraw LengthDimension]].
This object has the same properties as the [[TechDraw_Dimension_Length|TechDraw Dimension Length]] tool. See that tool for details.


==Scripting==
<span id="Scripting"></span>
==Программирование==


{{Emphasis|See also:}} [[TechDraw_API|TechDraw API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
{{Emphasis|См. так же:}} [[TechDraw_API/ru|TechDraw API]] и [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов FreeCAD]].


The Dimension Radius tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:
The Radius Dimension tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following functions:


{{Code|code=
{{Code|code=
dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1 = FreeCAD.ActiveDocument.addObject("TechDraw::DrawViewDimension", "Dimension")
dim1.Type = "Radius"
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
dim1.References2D=[(view1, "Edge1")]
rc = page.addView(dim1)
page.addView(dim1)
}}
}}




{{Docnav
{{Docnav/ru
|[[TechDraw_VerticalDimension/ru|Указать вертикальный размер]]
|[[TechDraw_Dimension_Vertical|Dimension Vertical]]
|[[TechDraw_DiameterDimension/ru|Указать диаметр]]
|[[TechDraw_Dimension_Diameter|Dimension Diameter]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench/ru|Верстак "TechDraw"]]
|IconL=TechDraw_Dimension_Vertical.svg
|IconL=TechDraw_VerticalDimension.svg
|IconR=TechDraw_Dimension_Diameter.svg
|IconR=TechDraw_DiameterDimension.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
}}
}}
Line 67: Line 86:
{{TechDraw Tools navi{{#translation:}}}}
{{TechDraw Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{clear}}

Latest revision as of 17:46, 27 July 2023

Other languages:

Указать радиус

Системное название
TechDraw_RadiusDimension
Расположение в меню
TechDraw → Размеры → Указать радиус
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Указать диаметр

Описание

The TechDraw RadiusDimension tool adds a radius dimension to a View. The dimension may be applied to any edge which is a circle or circular arc.

Measuring a circle, indicating the radius

Применение

  1. Select a circle or circular arc. The geometry may be selected in the 3D view or in the drawing. Note some arcs which appear to be circular are actually ellipses or B-splines. You cannot make a radius dimension in these cases.
  2. If you have selected geometry in the 3D view: add the correct TechDraw View to the selection by selecting it in the Tree view.
  3. There are several ways to invoke the tool:
    • Press the Insert Radius Dimension button.
    • Select the TechDraw → Dimensions → Insert Radius Dimension option from the menu.
  4. A dimension is added to the View.
  5. The dimension may be dragged to the desired position.
  6. If needed, add tolerances as described on this page.

Display 3D measurement

See TechDraw LengthDimension.

Change properties

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the Dimension dialog.

Ограничения

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension.

Notes

See TechDraw LengthDimension.

Свойства

See TechDraw LengthDimension.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

The Radius Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject("TechDraw::DrawViewDimension", "Dimension")
dim1.Type = "Radius"
dim1.References2D=[(view1, "Edge1")]
page.addView(dim1)